# $Id: mklivecd.spec.in,v 1.12 2003/10/04 10:03:28 jaco Exp $

%define name	mklivecd
%define version	0.5.6
%define release	5mdk

%define Summary	Builds a LiveCD from an existing Mandrakelinux installation

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Boot and Init
URL:		http://www.linuxminicd.org/mklivecd/
Source0:	%{name}-%{version}.tar.bz2
Patch0:     mklivecd-0.5.6-fix-deps.patch.bz2
Requires:	busybox cloop-utils mkisofs drakxtools-newt
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
%{Summary}

%prep
%setup -q
%patch0 -p0

%build
%make

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CHANGELOG FAQ README TODO
%{_sbindir}/mklivecd
%{_sbindir}/hwdetect
%dir %{_datadir}/mklivecd
%{_datadir}/mklivecd/linuxrc

%changelog
* Thu Jun 17 2004 Michael Scherer <misc@mandrake.org> 0.5.6-5mdk
- fix Summary
 
* Tue May 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.6-4mdk
- patch 0: fix deps killed by latest drakxtools

* Mon Dec 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.6-3mdk
- rebuild for new deps

* Wed Dec 03 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.5.6-2mdk
- spec fixes
- fix unowned dir

* Mon Oct  6 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.6-1mdk
- version 0.5.6
- spec fixes by Buchan Milne <bgmilne@cae.co.za>

* Sat Sep 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.5-2mdk
- rebuild

* Thu Sep 25 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.5-1mdk
- version 0.5.5

* Wed Sep 24 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.4-2mdk
- spec fixes

* Tue Sep 23 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.4-1mdk
- version 0.5.4
- removed patch0, fixed upstream

* Mon Sep 22 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.3-1mdk
- initial import into contrib, based on spec file from Jaco Greeff
- fixed requires (mkisofs)
- temporary locale fix to correct calculate initrd size
- correct mdk group name
- some macroszification
